Android Frequently Asked Questions (FAQ)

Introduction

Here you can find some of the most frequently asked questions about the ownCloud Android app.

Usage

Compatibility with older ownCloud server

ownCloud Android app 2.15 has minimum requirement of ownCloud server 10.0 or later.

ownCloud Android app 2.9 has minimum requirement ownCloud server 9.0 or later.

Check this post in the community forum how to install older versions.

Compatibility with older Android version

ownCloud Android app 2.15 has minimum requirement of Android 5.0 or later. Check this post in the community forum how to install older versions.

Login with TOTP and other 2FA

ownCloud server must have the OAuth2 app installed, configured, and enabled to use Two-Factor Authentication.
Please contact your ownCloud administrator for more details.

Feature Requests

Detect and upload changes from local file system

Local changes get upload when you add files inside the app, or a 3rd party app sends a file to the ownCloud app, or a 3rd party app adds/edits files via the document provider.

Local changes won’t be uploaded when 3rd party apps directly access the file system. Android will prevent direct file system access in the near future (Scoped Storage)

Prevent direct access to local sync directory

Android will prevent direct file system access in the near future. ownCloud Android app will switch to Scoped Storage, so 3rd party apps can only access via the document provider.

Store local sync directory on SD card

This feature is not on the roadmap of the ownCloud Android app.

Missing translations or translation bugs

You can help translate in your language or fix a bug.

We use Transifex for translations. Please register here for an account and join the global community.

Testing new features

Use this link to join the beta program on Android.